Get TikTok profile
Fetch public profile details and recent videos for a TikTok username.
POST
/
api
/
v1
/
platform
/
scrapers
/
tiktok
/
profile
Get TikTok profile
curl --request POST \
--url https://developer.thehog.ai/api/v1/platform/scrapers/tiktok/profile \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"username": "tiktok",
"maxVideos": 250.5
}
'const options = {
method: 'POST',
headers: {
'X-Access-Key': '<api-key>',
'X-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({username: 'tiktok', maxVideos: 250.5})
};
fetch('https://developer.thehog.ai/api/v1/platform/scrapers/tiktok/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/platform/scrapers/tiktok/profile"
payload = {
"username": "tiktok",
"maxVideos": 250.5
}
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"profile": {
"username": "<string>",
"tiktok_user_id": "<string>",
"display_name": "<string>",
"bio": "<string>",
"follower_count": 123,
"following_count": 123,
"verified": true,
"avatar_url": "<string>"
},
"videos": [
{
"id": "<string>",
"platform_video_id": "<string>",
"created_at": "<string>",
"tiktok_profile_id": "<string>",
"caption": "<string>",
"post_url": "<string>",
"author_username": "<string>",
"author_display_name": "<string>",
"author_profile_url": "<string>",
"play_count": 123,
"like_count": 123,
"comment_count": 123,
"share_count": 123,
"hashtags": [
"<string>"
],
"cdn_url": "<string>",
"s3_key": "<string>",
"thumbnail_s3_key": "<string>",
"duration_secs": 123,
"posted_at": "<string>"
}
],
"relatedVideos": [
{
"relationship": "collaboration",
"matched_username": "<string>",
"video": {
"id": "<string>",
"platform_video_id": "<string>",
"created_at": "<string>",
"tiktok_profile_id": "<string>",
"caption": "<string>",
"post_url": "<string>",
"author_username": "<string>",
"author_display_name": "<string>",
"author_profile_url": "<string>",
"play_count": 123,
"like_count": 123,
"comment_count": 123,
"share_count": 123,
"hashtags": [
"<string>"
],
"cdn_url": "<string>",
"s3_key": "<string>",
"thumbnail_s3_key": "<string>",
"duration_secs": 123,
"posted_at": "<string>"
},
"collaborators": [
{
"username": "<string>",
"tiktok_user_id": "<string>",
"display_name": "<string>",
"bio": "<string>",
"follower_count": 123,
"following_count": 123,
"verified": true,
"avatar_url": "<string>"
}
]
}
]
},
"meta": {
"requestId": "<string>"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Validation failed",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b",
"errors": [
{
"property": "body.query",
"message": "query must be a string",
"constraints": {
"isString": "query must be a string"
}
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Insufficient credits.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 502,
"error": "Bad Gateway",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}POST /api/v1/platform/scrapers/tiktok/profile
Fetch a TikTok user’s profile and recent videos.Retrieve a TikTok user’s profile information and recent videos.
Example
curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/tiktok/profile \
-H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
-H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"username": "tiktok", "maxVideos": 20}'
Authorizations
The public API key from the Credentials page.
The API secret shown when the credential is created.
Body
application/json
⌘I
Get TikTok profile
curl --request POST \
--url https://developer.thehog.ai/api/v1/platform/scrapers/tiktok/profile \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"username": "tiktok",
"maxVideos": 250.5
}
'const options = {
method: 'POST',
headers: {
'X-Access-Key': '<api-key>',
'X-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({username: 'tiktok', maxVideos: 250.5})
};
fetch('https://developer.thehog.ai/api/v1/platform/scrapers/tiktok/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/platform/scrapers/tiktok/profile"
payload = {
"username": "tiktok",
"maxVideos": 250.5
}
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"profile": {
"username": "<string>",
"tiktok_user_id": "<string>",
"display_name": "<string>",
"bio": "<string>",
"follower_count": 123,
"following_count": 123,
"verified": true,
"avatar_url": "<string>"
},
"videos": [
{
"id": "<string>",
"platform_video_id": "<string>",
"created_at": "<string>",
"tiktok_profile_id": "<string>",
"caption": "<string>",
"post_url": "<string>",
"author_username": "<string>",
"author_display_name": "<string>",
"author_profile_url": "<string>",
"play_count": 123,
"like_count": 123,
"comment_count": 123,
"share_count": 123,
"hashtags": [
"<string>"
],
"cdn_url": "<string>",
"s3_key": "<string>",
"thumbnail_s3_key": "<string>",
"duration_secs": 123,
"posted_at": "<string>"
}
],
"relatedVideos": [
{
"relationship": "collaboration",
"matched_username": "<string>",
"video": {
"id": "<string>",
"platform_video_id": "<string>",
"created_at": "<string>",
"tiktok_profile_id": "<string>",
"caption": "<string>",
"post_url": "<string>",
"author_username": "<string>",
"author_display_name": "<string>",
"author_profile_url": "<string>",
"play_count": 123,
"like_count": 123,
"comment_count": 123,
"share_count": 123,
"hashtags": [
"<string>"
],
"cdn_url": "<string>",
"s3_key": "<string>",
"thumbnail_s3_key": "<string>",
"duration_secs": 123,
"posted_at": "<string>"
},
"collaborators": [
{
"username": "<string>",
"tiktok_user_id": "<string>",
"display_name": "<string>",
"bio": "<string>",
"follower_count": 123,
"following_count": 123,
"verified": true,
"avatar_url": "<string>"
}
]
}
]
},
"meta": {
"requestId": "<string>"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Validation failed",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b",
"errors": [
{
"property": "body.query",
"message": "query must be a string",
"constraints": {
"isString": "query must be a string"
}
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Insufficient credits.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 502,
"error": "Bad Gateway",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}